/*css reset */

html,
body,
div,
span,
h1,
h2,
h3,
h4,
h5,
h6,
p,
code,
small,
strike,
strong,
b,
u,
i {
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
    margin: 0;
    padding: 0;
}
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}
body {
    line-height: 1;
    font: normal 0.9em/1em "Helvetica Neue", Helvetica, Arial, sans-serif;
}
ol,
ul {
    list-style: none;
}
strong {
    font-weight: 700;
}
#frame {
    max-width: 100%;
    width: auto;
    border: 1px solid #ccc;
    background: #fff;
    padding: 10px;
    margin: 3px;
    display: none;
}
h1 {
    font: normal bold 2em/1.8em "Helvetica Neue", Helvetica, Arial, sans-serif;
    text-align: left;
    border-bottom: 1px solid #999;
    padding: 0;
    width: auto
}
h2 {
    font: bold 1.3em/1.2em "Helvetica Neue", Helvetica, Arial, sans-serif;
    padding: 0;
    text-align: left;
    margin: 20px 0;
}
p.pager {
    margin: 5px 0 5px;
    font: bold 1em/1em "Helvetica Neue", Helvetica, Arial, sans-serif;
    color: #999;
}
img.question-image {
    display: block;
    max-width: 250px;
    margin: 10px auto;
    border: 1px solid #ccc;
    width: 100%;
    height: auto;
}
#choice-block {
    display: block;
    list-style: none;
    margin: 0;
    padding: 0;
}
#submitbutton {
    background: #5a6b8c;
}
#submitbutton:hover {
    background: #7b8da6;
}
#explanation {
    margin: 0 auto;
    padding: 20px;
    width: 90%;
}
.choice-box {
    display: block;
    text-align: center;
    margin: 8px auto;
    padding: 10px 0;
    border: 1px solid #666;
    cursor: pointer;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}

/* Center the loader */
#loader {
  position: absolute;
  left: 50%;
  top: 50%;
  z-index: 1;
  width: 150px;
  height: 150px;
  margin: -75px 0 0 -75px;
  border: 16px solid #f3f3f3;
  border-radius: 50%;
  border-top: 16px solid #3498db;
  width: 120px;
  height: 120px;
  -webkit-animation: spin 2s linear infinite;
  animation: spin 2s linear infinite;
  display: block;
}

@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

/* Add animation to "page content" */
.animate-bottom {
  position: relative;
  -webkit-animation-name: animatebottom;
  -webkit-animation-duration: 1s;
  animation-name: animatebottom;
  animation-duration: 1s
}

@-webkit-keyframes animatebottom {
  from { bottom:-100px; opacity:0 }
  to { bottom:0px; opacity:1 }
}

@keyframes animatebottom {
  from{ bottom:-100px; opacity:0 }
  to{ bottom:0; opacity:1 }
}



/* Display fraction
  Ex:
  <div class="frac">
    <span>1</span>
    <span class="symbol">/</span>
    <span class="bottom">2</span>
  </div>
*/
.frac { display: inline-block;
    position: relative;
    vertical-align: middle;
    letter-spacing: 0.001em;
    text-align: center;
}
.frac > span {
    display: block;
    padding: 0.1em;
}
.frac span.bottom {
    border-top: thin solid black;
}
.frac span.symbol {
    display: none;
}

table {
    font-family: arial, sans-serif;
    border-collapse: collapse;
    width: 100%;
    margin: auto;
}

td, th {
    border: 1px solid #dddddd;
    text-align: center;
    padding: 4px;
}
